#ifndef RTE_ADC_H
#define RTE_ADC_H

#include "TYW_stdint.h"

uint32_t RTE_ForceRead_KL15_Voltage(void);
uint32_t RTE_ForceRead_KL30_Voltage(void);
uint32_t RTE_Read_FUEL_REF_Voltage(void);

uint32_t RTE_Read_KL15_Voltage(void);
uint32_t RTE_Read_KL30_Voltage(void);
uint32_t RTE_Read_FUEL_Res(void);

uint8_t RTE_Read_KL15_Valid(void);
uint8_t RTE_Read_KL30_Valid(void);

void RTE_ADC_Init(void);

#endif
